# Upsert plan profile Create or update a plan profile. A unique ID (business_id) is required to identify the plan profile. Calling this endpoint with an existing business_id will update the plan profile. Endpoint: PUT /plan-profiles/{business_id} Version: 1.10.0 Security: clientCredentials ## Path parameters: - `business_id` (string, required) The unique identifier of an entity ## Header parameters: - `If-Match` (string) Weak Etag used for optimistic locking. Example: "W/\"24\"" ## Request fields (application/json): - `name` (string, required) The name of the plan profile Example: "Default Profile" - `depot_set_business_id` (string) The business ID of the depot set to use for this profile Example: "belgian-depots" - `charging_location_set_business_id` (string) The business ID of the charging location set to use for this profile Example: "flanders-charging-locations" - `break_rule_set_business_id` (string) The business ID of the break rule set to use for this profile Example: "eu-break-rules" ## Response 400 fields (application/problem+json): - `type` (string, required) An absolute URI that identifies the problem type. When dereferenced, it SHOULD provide human-readable documentation for the problem type (e.g., using HTML). Example: "https://developer.conundra.eu/developer-portal/problem/#constraint-violation" - `title` (string, required) A short, summary of the problem type. Written in english and readable for engineers (usually not suited for non technical stakeholders and not localized) Example: "Bad Request" - `status` (integer, required) The HTTP status code generated by the origin server for this occurrence of the problem. Example: 400 - `detail` (string, required) A human readable explanation specific to this occurrence of the problem. Example: "Bad request. See violations for more details." - `violations` (array) - `violations.field` (string) A reference to the field in the request that triggered this violation. Example: "limit" - `violations.message` (string, required) A message explaining the violation in the referenced field. Example: "Limit must be strictly positive." ## Response 412 fields (application/problem+json): - `type` (string, required) An absolute URI that identifies the problem type. When dereferenced, it SHOULD provide human-readable documentation for the problem type (e.g., using HTML). Example: "https://developer.conundra.eu/developer-portal/problem/#constraint-violation" - `title` (string, required) A short, summary of the problem type. Written in english and readable for engineers (usually not suited for non technical stakeholders and not localized) Example: "Bad Request" - `status` (integer, required) The HTTP status code generated by the origin server for this occurrence of the problem. Example: 400 - `detail` (string, required) A human readable explanation specific to this occurrence of the problem. Example: "Bad request. See violations for more details." - `violations` (array) - `violations.field` (string) A reference to the field in the request that triggered this violation. Example: "limit" - `violations.message` (string, required) A message explaining the violation in the referenced field. Example: "Limit must be strictly positive." ## Response 201 fields ## Response 204 fields ## Response 401 fields